
Redmine - Feature #2768

Ability to Pass The project id for Issue Creation by email

2009-02-17 15:39 - karthikeyan rangaswamy

Status: Closed Start date: 2009-02-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Hi,

I am doing the functionality of Issue Creation by email using rake task method

i am executing the following rake task

rake redmine:email:receive_imap RAILS_ENV="production" host=mail.ohum.org port=993 ssl=1 username=myusername

password=mypassword project=charityportal1 tracker=Tasks status=Open Priority=Critical

allow_override=project,status,tracker,priority

Here i am able to pass everything,project idenifier,status,tracker and priority .The Email's subject will be stored as issue subject,email

description is stored as issue description.Everything is ok

Is it possible to Give the Project id in Email SUBJECT LIKE SO that the value 1 will be retrieved from email subject and issue will be

created on passed project id

Related issues:

Related to Redmine - Patch #20732: MailHandler: Select project by subaddress ... Closed

History

#1 - 2009-02-19 19:38 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2013-03-18 08:03 - Dipan Mehta

I think while project_id cann't be set from subject line, but current Redmine takes project_id from within the body of the email. does that serve the

purpose?

#3 - 2013-03-21 07:16 - Toshi MARUYAMA

- Category changed from Plugin API to Email receiving

#4 - 2013-03-21 07:16 - Toshi MARUYAMA

- Due date deleted (2009-02-18)

- Priority changed from High to Normal

#5 - 2019-02-09 06:47 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Although the current version cannot select the project in an email subject, Redmine 3.2 and later supports selecting a target project with email

subaddress. Please see RedmineReceivingEmails for the detail. I think you can use the feature instead.

#6 - 2019-02-09 06:48 - Go MAEDA

- Related to Patch #20732: MailHandler: Select project by subaddress (redmine+project@example.com) added
